Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## UI.Run
Class GEVAGlobalStreamParser

    java.lang.Object
      UI.Run.GEVAStreamParser<GEVAGlobalStreamParser.Event>
          UI.Run.GEVAGlobalStreamParser

All Implemented Interfaces:
  GEVAStreamReader.Listener

    public class GEVAGlobalStreamParser

extends GEVAStreamParser<GEVAGlobalStreamParser.Event>

Parse data that's globally useful for all other parsers. This parser should be the first called in the parser chain and will update the Line object so other parsers will know what it's done

Author:
  eliott bartley

Nested Class Summary
`static class` | `GEVAGlobalStreamParser.Event` Unique empty type for overloading
`class` | `GEVAGlobalStreamParser.Extension` Hint to other parsers about when they should start parsing.

Nested classes/interfaces inherited from class UI.Run.GEVAStreamParser
`GEVAStreamParser.Line, GEVAStreamParser.LineEvent, GEVAStreamParser.Listener<E>`

Field Summary
`static java.lang.String` | `EXT_GLOBAL`

Fields inherited from class UI.Run.GEVAStreamParser
`ID_ERR_OUT, ID_STD_OUT`

Constructor Summary
`GEVAGlobalStreamParser()`

Method Summary
`protected void` | `parseLine(GEVAStreamParser.Line line)` Parse the line and generate the necessary events by calling fireParserListener.

Methods inherited from class UI.Run.GEVAStreamParser
`addParserListener, begin, end, fireParserListener, injectLine, injectLine, removeParserListener, streamListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXT_GLOBAL

    public static final java.lang.String EXT_GLOBAL

See Also:
  Constant Field Values

Constructor Detail

### GEVAGlobalStreamParser

    public GEVAGlobalStreamParser()

Method Detail

### parseLine

    protected void parseLine(GEVAStreamParser.Line line)

  Description copied from class: `GEVAStreamParser`
  Parse the line and generate the necessary events by calling fireParserListener. This will not be called for end-of-stream events

  Specified by:
    `parseLine` in class `GEVAStreamParser<GEVAGlobalStreamParser.Event>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD